Mandrake Linux Security Advisory : zlib-pkgs (MDKSA-2002:023-1)

High Nessus Plugin ID 13931


The remote Mandrake Linux host is missing one or more security updates.


Matthias Clasen found a security issue in zlib that, when provided with certain input, causes zlib to free an area of memory twice. This 'double free' bug can be used to crash any programs that take untrusted compressed input, such as web browsers, email clients, image viewing software, etc. This vulnerability can be used to perform Denial of Service attacks and, quite possibly, the execution of arbitrary code on the affected system.

MandrakeSoft has published two advisories concerning this incident :

MDKSA-2002:022 - zlib MDKSA-2002:023 - packages containing zlib

Update :

Additional package are now available. For a list of prior packages released, please see MDKSA-2002:023. The noted packages below are in addition to MDKSA-2002:023; no packages have been replaced.


Update the affected packages.

Plugin Details

Severity: High

ID: 13931

File Name: mandrake_MDKSA-2002-023.nasl

Version: $Revision: 1.16 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:libdiffie1, p-cpe:/a:mandriva:linux:libdiffie1-devel, p-cpe:/a:mandriva:linux:libgcj, p-cpe:/a:mandriva:linux:libgcj-devel, p-cpe:/a:mandriva:linux:libmirrordirz1, p-cpe:/a:mandriva:linux:libmirrordirz1-devel, p-cpe:/a:mandriva:linux:mirrordir, cpe:/o:mandrakesoft:mandrake_linux:7.1, cpe:/o:mandrakesoft:mandrake_linux:7.2, cpe:/o:mandrakesoft:mandrake_linux:8.0, cpe:/o:mandrakesoft:mandrake_linux:8.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2002/03/13

Reference Information

CVE: CVE-2002-0059

CERT: 368819

MDKSA: 2002:023-1